#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXext
Version		:	1.3.5
Release		:	14.4.0.0%{?dist}
Summary		:	X.Org X11 libXext runtime library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	xorg-libX11
#-----------------------------------------------------------------------------
%description
X.Org X11 libXext libraries

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_includedir}/X11/extensions/*.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/xext.pc
%{_defaultdocdir}/%{name}-%{version}/*.xml
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

PKG_CONFIG_PATH=%{_libdir}/pkgconfig			\
./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
